// 商品相关

// 商品详情
export const getGoodsDetail = {
    url: '/goods/without/getDetail',
    dealReqData: goodsId => {
        return { goodsId }
    }
}

// 预售商品详情
export const getPreSaleGoodsDetail = {
    url: '/preSale/without/getDetail',
    dealReqData: goodsId => {
        return { goodsId }
    }
}

// nft商品详情
export const getNftGoodsDetail = {
    url: "/goods/without/getNftDetail",
    dealReqData: goodsId => {
        return { goodsId }
    }
}

// 获取商品快递模板
export const getGoodsDistribution = {
    url: '/goods/without/getDistribution',
    dealReqData: ({ area, merchantId }) => {
        return { area, merchantId }
    }
}

// 获取商品sku详情
export const getSkuDetail = {
    url: "/goods/without/getSkuDetail",
    dealReqData: skuId => {
        return { skuId }
    }

}

// 店铺详情
export const getShop = {
    url: "/shop/without/getShop",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}

// 领取优惠券
export const getCoupon = {
    url: "/goods/addCoupon",
    dealReqData: couponId => {
        return { couponId }
    }
}

// 获取优惠券列表
export const getGoodsCouponList = {
    url: "/goods/getCoupon",
    dealReqData: skuIds => {
        return { skuIds }
    }
}

// 获取促销活动列表
export const getPromotionList = {
    url: "/marketingPromotion/getProBySkuId",
    dealReqData: skuIds => {
        return { skuIds }
    }
}

// 获取店铺导航 参数 merchantId
export const getShopNavigation = {
    url: "/shop/without/getShopNavigation",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}
//获取店铺导航商品
export const getShopNavigationGoods = {
    url: "/shop/without/getShopNavigationGoods",
    dealReqData: ({ page, size, paramA, paramB }) => {
        return { page, size, paramA, paramB }
    }
}
// 获取商铺所有商铺
export const getAllShopGoods = {
    url: "/shop/without/getAll",
    dealReqData: ({ page, size, param }) => {
        return { page, size, param }
    }
}
// 店铺banner merchantId
export const getShopBanner = {
    url: "/shop/without/getBanner",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}
//  店铺统计参数 merchantId
export const getShopCount = {
    url: "/shop/without/getShopCount",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}
//  店铺 精选商品
export const getShopRecommend = {
    url: "/shop/without/getRecommend",
    dealReqData: ({ merchantId }) => {
        return { merchantId }
    }
}

// 店铺领券中心
export const getShopCouponList = {
    url: "/shop/without/getCoupon",
    dealReqData: merchantId => {
        return { merchantId }
    }
}